JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtensionsVisitor::VST3Client Struct Referenceabstract
juce_audio_processors » utilities

Can be used to retrieve information about a VST3 that is wrapped by an AudioProcessor. More...

`#include <juce_ExtensionsVisitor.h>`

## Public Member Functions
virtual | ~VST3Client ()=default
virtual Steinberg::Vst::IComponent * | getIComponentPtr () const noexcept=0
virtual MemoryBlock | getPreset () const =0
virtual bool | setPreset (const MemoryBlock &) const =0

## Detailed Description

Can be used to retrieve information about a VST3 that is wrapped by an AudioProcessor.

## Constructor & Destructor Documentation

## ◆ ~VST3Client()

virtual ExtensionsVisitor::VST3Client::~VST3Client | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getIComponentPtr()

virtual Steinberg::Vst::IComponent * ExtensionsVisitor::VST3Client::getIComponentPtr | ( |  | ) | const
| pure virtual noexcept

## ◆ getPreset()

virtual MemoryBlock ExtensionsVisitor::VST3Client::getPreset | ( |  | ) | const
| pure virtual

## ◆ setPreset()

virtual bool ExtensionsVisitor::VST3Client::setPreset | ( | const MemoryBlock & |  | ) | const
| pure virtual

The documentation for this struct was generated from the following file:

- juce_ExtensionsVisitor.h